"use client"

import {
  useTrackHardNavigation,
  useTrackSoftNavigation,
} from "@/components/TrackingSDK/hooks"

import type {
  TrackingSDKAncillaries,
  TrackingSDKHotelInfo,
  TrackingSDKPageData,
  TrackingSDKPaymentInfo,
} from "@/types/components/tracking"

export default function TrackingSDK({
  pageData,
  hotelInfo,
  paymentInfo,
  ancillaries,
}: {
  pageData: TrackingSDKPageData
  hotelInfo?: TrackingSDKHotelInfo
  paymentInfo?: TrackingSDKPaymentInfo
  ancillaries?: TrackingSDKAncillaries
}) {
  useTrackHardNavigation({ pageData, hotelInfo, paymentInfo, ancillaries })
  useTrackSoftNavigation({ pageData, hotelInfo, paymentInfo, ancillaries })

  return null
}
